<template>
  <div class="bg-white pb-12">
    <div class="top-tag-page pt-6 md:pt-10 relative mb-4 md:mb-5">
      <img class="cover-category z-0" src="/tag-cover.png" alt="tag cover" />
      <div class="container relative z-10 text-white">
        <div class="font-medium text-sm md:text-base leading-160 mb-3">
          182 bài viết
        </div>
        <div
          class="font-normal text-28px md:text-5xl leading-none mb-8 relative"
        >
          #Razer Blade
        </div>
      </div>
    </div>
    <div style="margin-top: -192px; position: relative;">
      <div class="container subcate-content">
        <div class="md:flex md:-mx-10px">
          <div class="md:w-8/12 md:px-10px">
            <div class="md:pr-5 md:border-r border-solid border-gray-light">
              <div class="space-y-4">
                <ItemList
                  v-for="(item, index) in items"
                  :key="'item--' + index"
                  :item="item"
                />
                <ItemGridSpecial :item="items[0]" />
                <ItemList
                  v-for="(item, index) in items"
                  :key="'item--' + index"
                  :item="item"
                />
              </div>
            </div>
          </div>
          <div class="md:w-4/12 md:px-10px space-y-6">
            <SponsorVertical :imagesrc="'/sponsor-xbox.png'" />
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  layout({ isMobile }) {
    return isMobile ? 'mobile' : 'default'
  },
  components: {
    ItemList: () => import('~/components/common/ItemList'),
    ItemGridSpecial: () => import('~/components/common/ItemGridSpecial'),
    SponsorVertical: () => import('~/components/sponsor/SponsorVertical')
  },
  async fetch() {
    await this.$store.dispatch('getMainMenu')
  },
  data() {
    return {
      items: [
        {
          title:
            'Đây sẽ là công ty trị giá 2.000 tỷ USD đầu tiên trên thế giới?',
          image: '/new-01.png',
          content:
            'Từng có thời gian, giới chuyên gia thế giới đã dự đoán hoạt động kinh doanh của Apple sẽ chững lại. Vào năm 2020, mọi thứ đã thay đổi.'
        },
        {
          title:
            'Đồng hồ thể thao định vị Suunto7 sở hữu Snapdragon Wear 3100, pin 12h',
          image: '/new-02.png',
          content:
            'Suunto 7 được đánh giá là thiết bị thể thao định vị đáng lưu tâm ở thời điểm hiện tại nhờ nhiều tính năng nổi bật.'
        },
        {
          title: 'Galaxy Z Flip đang giảm giá gần 15 triệu ở Việt Nam',
          image: '/new-03.png',
          content:
            'Nhiều hệ thống lớn ở Việt Nam đồng loạt giảm giá mạnh mẫu smartphone màn hình gập thế hệ thứ 2 của Samsung.'
        },
        {
          title:
            'Mỹ hoặc Trung Quốc, giới công nghệ buộc phải "chọn phe" để sống',
          image: '/new-04.png',
          content:
            'Lệnh cấm giao dịch mới nhất mà ông Trump áp lên TikTok và WeChat khiến Internet thế giới dần bị chia rẽ.'
        },
        {
          title:
            'Ông chủ hãng xe Mỹ kể chuyện bị Trung Quốc đánh cắp công nghệ',
          image: '/new-05.png',
          content:
            'Những phát minh về thiết kế, công nghệ và kỹ thuật của ông đã bị liên doanh tại Trung Quốc ăn cắp.'
        },
        {
          title: 'Bill Gates đưa ra lời "tiên tri" về TikTok',
          image: '/new-06.png',
          content:
            'Bill Gates cho rằng Microsoft quyết định bước vào cuộc chơi mạng xã hội sẽ khiến hãng phải đối mặt với cấp độ kiểm duyệt nội dung mới.'
        },
        {
          title: 'Các nhà khoa học đã tạo ra vật chất sáng nhất thế giới',
          image: '/new-07.png',
          content:
            'Bước đột phá trong điều chế thuốc nhuộm huỳnh quang giúp các nhà khoa học tạo ra vật chất sáng nhất từng tồn tại.'
        },
        {
          title: 'Tạm biệt laptop Toshiba',
          image: '/new-08.png',
          content:
            'Từng là một trong những nhà sản xuất máy tính hàng đầu, Toshiba tuyên bố ngừng mảng kinh doanh laptop và bán hết cổ phần cho Sharp.'
        }
      ]
    }
  },
  head() {
    return {
      title: 'Tag - ThinkView - Chuyên trang tin công nghệ'
    }
  }
}
</script>
